Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
orderedit.php File Reference

Go to the source code of this file.

## Functions
| turnColumnsOnOff ( $rowName, $t=false, $ShowSavingsColumn=false, $ShowExTaxColumn=false, $ShowIncTaxColumn=false)

## Variables
if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTradeMain", "Language" )
| $ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"
| $languageINI = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/orderedit.php.ini", false )
| $PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" )
| $ShowExTaxColumn = $ini->variable( "eZTradeMain", "AdminShowExTaxColumn" ) == "enabled" ? true : false
| $ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false
| $ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )
| $wwwDir = $ini->variable( "site", "UserSiteURL" )
| $adminEmail = $ini->variable( "eZTradeMain", "mailToAdmin" )
| $upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" )=="enabled"?1:0
| $uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" )=="enabled"?1:0
else | $checkups =1
| $tester = 0
if( $Action=="newstatus") if( $Action=="delete") | $t
| $order = new eZOrder( $OrderID )
| $user = $order->user()
if( $user) if( $Action=="edit") | else
| $locale = new eZLocale( $Language )
| $currency = new eZCurrency()
| $i = 0
| $sum = 0.0
| $totalVAT = 0.0
| $numberOfItems = 0
| $j = 0
if( $ShowCart==true) | $usedVouchers =& $order->usedVouchers()
if(count( $usedVouchers) > 0) | $statusType = new eZOrderStatusType()
| $statusTypeArray = $statusType->getAll()
foreach( $statusTypeArray as $status) | $historyArray = $order->statusHistory()
foreach( $historyArray as $status) | $checkout = new eZCheckout()
| $instance =& $checkout->instance()
| $paymentMethod = $instance->paymentName( $order->paymentMethod() )
| $shippingType = $order->shippingType()
| $status = $order->lastStatus()
| $lastDateTime = $status->altered()
| $statusAge = ( round( (( time()-$lastDateTime )/86400),0 ) )

## Function Documentation

## ◆ turnColumnsOnOff()

turnColumnsOnOff | ( |  | $rowName,
|  |  | $t = `false`,
|  |  | $ShowSavingsColumn = `false`,
|  |  | $ShowExTaxColumn = `false`,
|  |  | $ShowIncTaxColumn = `false`
| ) |  |

Definition at line 346 of file orderedit.php.

References $ShowExTaxColumn, $ShowSavingsColumn, and $t.

## Variable Documentation

## ◆ $adminEmail

$adminEmail = $ini->variable( "eZTradeMain", "mailToAdmin" )

Definition at line 57 of file orderedit.php.

## ◆ $checkout

foreach ($historyArray as $status) $checkout = new eZCheckout()

Definition at line 666 of file orderedit.php.

Referenced by eZCheckout\__construct(), eZCart\cartTotals(), eZOrderConfirmation\confirm(), newOrders(), and eZOrderConfirmation\sendMail().

## ◆ $checkups

else $checkups =1

Definition at line 63 of file orderedit.php.

Referenced by eZCart\cartTotals().

## ◆ $ColSpanSizeTotals

$ColSpanSizeTotals = $ini->variable( "eZTradeMain", "ColSpanSizeTotals" )

Definition at line 55 of file orderedit.php.

## ◆ $currency

$currency = new eZCurrency()

Definition at line 340 of file orderedit.php.

## ◆ $historyArray

foreach ($statusTypeArray as $status) $historyArray = $order->statusHistory()

Definition at line 633 of file orderedit.php.

## ◆ $i

$i = 0

Definition at line 342 of file orderedit.php.

## ◆ $ini

if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 42 of file orderedit.php.

## ◆ $instance

$instance =& $checkout->instance()

Definition at line 667 of file orderedit.php.

Referenced by ezpbKernel\__construct(), ezpKernel\__construct(), eZDebug\alwaysLogMessage(), eZDFSFileHandlerBackendFactory\build(), eZOrderConfirmation\confirm(), ezpEvent\getInstance(), ezpRestDebug\getInstance(), ezpbKernel\hasInstance(), ezpKernel\hasInstance(), eZTSTranslator\initialize(), eZFileHandler\instance(), ezpContentPublishingQueueProcessor\instance(), eZCharTransform\instance(), eZSys\instance(), newOrders(), eZTranslatorManager\registerHandler(), ezpEvent\resetInstance(), eZOrderConfirmation\sendMail(), eZDebug\setHandleType(), eZSys\setInstance(), eZDebug\setLogFileEnabled(), and eZDebug\showTypes().

## ◆ $j

$j = 0

Definition at line 383 of file orderedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTradeMain", "Language" )

Definition at line 43 of file orderedit.php.

## ◆ $languageINI

$languageINI = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/orderedit.php.ini", false )

Definition at line 46 of file orderedit.php.

## ◆ $lastDateTime

$lastDateTime = $status->altered()

Definition at line 738 of file orderedit.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 339 of file orderedit.php.

## ◆ $numberOfItems

$numberOfItems = 0

Definition at line 382 of file orderedit.php.

Referenced by eZOrderConfirmation\sendMail().

## ◆ $order

$order = new eZOrder( $OrderID )

Definition at line 193 of file orderedit.php.

## ◆ $paymentMethod

$paymentMethod = $instance->paymentName( $order->paymentMethod() )

Definition at line 668 of file orderedit.php.

Referenced by eZOrderConfirmation\confirm(), newOrders(), eZCheckoutSupplierGateway\paymentName(), eZCheckoutSupplier\paymentName(), and eZOrderConfirmation\sendMail().

## ◆ $PricesIncludeVAT

$PricesIncludeVAT = $ini->variable( "eZTradeMain", "PricesIncludeVAT" )

Definition at line 48 of file orderedit.php.

## ◆ $shippingType

$shippingType = $order->shippingType()

Definition at line 672 of file orderedit.php.

Referenced by eZCart\addShippingVAT(), eZCart\cartTotals(), eZCart\extractShippingVAT(), eZCart\extractShippingVATPercentage(), eZOrderConfirmation\sendMail(), eZCart\shippingCost(), and eZCart\shippingVAT().

## ◆ $ShowExTaxColumn

global $ShowExTaxColumn = $ini->variable( "eZTradeMain", "AdminShowExTaxColumn" ) == "enabled" ? true : false

Definition at line 51 of file orderedit.php.

Referenced by turnColumnsOnOff().

## ◆ $ShowExTaxTotal

$ShowExTaxTotal = $ini->variable( "eZTradeMain", "ShowExTaxTotal" ) == "enabled" ? true : false

Definition at line 54 of file orderedit.php.

## ◆ $ShowPriceGroups

$ShowPriceGroups = $ini->variable( "eZTradeMain", "PriceGroupsEnabled" ) == "true"

Definition at line 44 of file orderedit.php.

Referenced by eZPriceGroup\correctPrice(), eZPriceGroup\highestPrice(), and eZPriceGroup\lowestPrice().

## ◆ $status

$status = $order->lastStatus()

Definition at line 737 of file orderedit.php.

## ◆ $statusAge

$statusAge = ( round( (( time()-$lastDateTime )/86400),0 ) )

Definition at line 741 of file orderedit.php.

## ◆ $statusType

if (count($usedVouchers) > 0) $statusType = new eZOrderStatusType()

Definition at line 620 of file orderedit.php.

Referenced by eZOrder\initialStatus(), eZOrder\lastStatus(), eZOrder\statusHistory(), and eZOrder\store().

## ◆ $statusTypeArray

$statusTypeArray = $statusType->getAll()

Definition at line 621 of file orderedit.php.

## ◆ $sum

$sum = 0.0

Definition at line 343 of file orderedit.php.

## ◆ $t

if ($Action=="newstatus") if ($Action=="delete") $t

Initial value:
= new eZTemplate( "kernel/eztrade/admin/" . $ini->variable( "eZTradeMain", "AdminTemplateDir" ),
"kernel/eztrade/admin/intl/", $Language, "orderedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Cancel)) $ini
Definition: orderedit.php:42
$Language
$Language
Definition: orderedit.php:43

Definition at line 135 of file orderedit.php.

Referenced by turnColumnsOnOff().

## ◆ $tester

$tester = 0

Definition at line 65 of file orderedit.php.

## ◆ $totalVAT

$totalVAT = 0.0

Definition at line 344 of file orderedit.php.

Referenced by eZOrderConfirmation\sendMail().

## ◆ $upscheck

$upscheck = $ini->variable( "eZTradeMain", "UPSXMLShipping" )=="enabled"?1:0

Definition at line 58 of file orderedit.php.

Referenced by eZCart\cartTotals().

## ◆ $usedVouchers

if ($ShowCart==true) $usedVouchers =& $order->usedVouchers()

Definition at line 582 of file orderedit.php.

## ◆ $user

$user = $order->user()

Definition at line 197 of file orderedit.php.

## ◆ $uspscheck

$uspscheck = $ini->variable( "eZTradeMain", "USPSXMLShipping" )=="enabled"?1:0

Definition at line 59 of file orderedit.php.

Referenced by eZCart\cartTotals().

## ◆ $wwwDir

$wwwDir = $ini->variable( "site", "UserSiteURL" )

Definition at line 56 of file orderedit.php.

## ◆ else

if ((is_object($shippingType)) &&($checkups !=1)) else

Initial value:
{
$items = $order->items()
$items
$items
Definition: admin/orderview.php:211
$order
$order
Definition: orderedit.php:193

Definition at line 334 of file orderedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.